class Ctverec:
    def __init__(self, strana): # Konstruktor
        self.strana = strana    # Explicitně uváděné this = self
        
    def vypocitejPlochu(self):
        return self.strana**2


class Kruh:
    def __init__(self, polomer):
        self.polomer = polomer
        
    def vypocitejPlochu(self):
        import math
        return math.pi*(self.polomer**2)


class Obdelnik2x3:  # Když nemá konstruktor žádný parametr, nemusí se uvést
    def vypocitejPlochu(self):
        return 2*3

    
seznam = [Kruh(8), Ctverec(2.5), Kruh(3), Obdelnik2x3()]

for tvar in seznam:
    print("Plocha je: {0}".format(tvar.vypocitejPlochu()))
