class ChybaZustatku(Exception):
    hodnota = 'Nelze vybrat. Na vašem účtu je jen {0:5.2f} korun.'
    
class Ucet:
    def __init__(self, pocatecniVklad):
        self.stav = pocatecniVklad
        print('Mate založen účet s vkladem {0:5.2f} korun.'.format(self.stav))
        
    def vlozit(self, castka):
            self.stav = self.stav + castka
            
    def vybrat(self, castka):
        if self.stav >= castka:
            self.stav = self.stav - castka
        else:
            raise ChybaZustatku(ChybaZustatku.hodnota.format(self.stav))
        
    def zustatek(self):
        return self.stav
    
    def prevod(self, castka, ucet):
        try:
            self.vybrat(castka)
            ucet.vlozit(castka)
        except ChybaZustatku as e:
            print(str(e))

mujUcet = Ucet(300)
mujUcet.vybrat(200)
mujUcet.vybrat(200)
