"""
SAX zpracování dokumentu:
Program neprovádí žádnou činnost, pouze při špatné struktuře XML struktuře vypíše chybu.
Funguje jako verifikátor.
"""

import sys

# Import metody make_paresr z modulu xml.sax
from xml.sax import make_parser

			
# Funkce pro běh
def run(inFileName):    
    parser = make_parser()         # Vytvoření instance parseru
    inFile = open(inFileName, 'r') # Otevření souboru pro čtení    
    parser.parse(inFile)           # Načtení (parsování)  XML souboru
    inFile.close()                 # Uzavření souboru

# Funkce main testuje počet vstupních parametrů
def main():
    args = sys.argv[1:]		    
    
    if len(args) != 1:
        print('Chybí název ověřovaného souboru.')
        sys.exit(-1)
    
    # Volání "ověřovací" funkce
    run(args[0])

main()
