from tkinter import *

# Nejdříve vytvoříme funkci pro ošetření události.
def vymazat(): 
  eTxt.delete(0, END) # Bude mazat text
  
def eHotKey(u):
  vymazat() # Zavedeme pro mazání i hot key
  
# Vytvoříme hierarchicky nejvyšší okno a rámeček.
hlavni = Tk()
F = Frame(hlavni)
F.pack()

# Nyní vytvoříme rámeček s polem pro vstup textu.
fVstup = Frame(F, border = 20)    # Velikost ohraničení je 20
eTxt = Entry(fVstup)              # Prvek pro zadávání jednořádkového textu
eTxt.bind('<Control-m>', eHotKey) # Navázání CTRL+M na mazání
fVstup.pack()
eTxt.pack()

# Nakonec vytvoříme rámečky s tlačítky. 
# Pro zviditelnění je vmáčknutý = SUNKEN
fTlacitka = Frame(F, relief = SUNKEN, border = 1)
bVymazat = Button(fTlacitka, text = "Vymaz text", command = vymazat)
bVymazat.pack(side = RIGHT, padx = 5, pady = 2)
bKonec = Button(fTlacitka, text = "Konec", command = F.quit)
bKonec.pack(side = LEFT, padx = 5, pady = 2)
fTlacitka.pack(side = TOP, expand = True)

# Nyní spustíme čekací smyčku 
F.mainloop()
quit()
