from tkinter import *
     
class AplikaceVymazat:
    def __init__(self, rodic = 0):
        self.hlavniOkno = Frame(rodic, width = 200, height = 100)
        self.hlavniOkno.pack_propagate(0)
        
        # Vytvoříme widget třídy Entry
        self.vstup = Entry(self.hlavniOkno)
        self.vstup.insert(0, "Pocatecni text")
        self.vstup.pack(fill = X)
        
        # Nyní přidáme dvě tlačítka a použijeme efekt drážky.
        fTlacitka = Frame(self.hlavniOkno, border = 2, relief = GROOVE)
        bVymazat = Button(fTlacitka, text = "Vymazat", width = 8, height = 1, command = self.vymazatText)
        bKonec = Button(fTlacitka, text = "Konec", width = 8, height = 1, command = self.hlavniOkno.quit)
        bVymazat.pack(side = LEFT, padx = 15, pady = 1)
        bKonec.pack(side = RIGHT, padx = 15, pady = 1)
        fTlacitka.pack(fill = X)
        self.hlavniOkno.pack()

        # Nastavíme nadpis okna.
        self.hlavniOkno.master.title("Vymazat")
      
    def vymazatText(self):
        self.vstup.delete(0, END)
      
aplikace = AplikaceVymazat()
aplikace.hlavniOkno.mainloop()
quit()
