'''
DOM zpracování dokumentu:
Program neprovádí žádnou činnost, pouze při špatné struktuře XML struktuře vypíše chybu.
Funguje jako verifikátor.
'''

import sys

# Import modulu pro tvorbu stromové struktury a uzlu stromu
from xml.dom import minidom, Node

# Funkce pro běh programu
def run(inFileName):                                            	
    doc = minidom.parse(inFileName)  # Parsování dokumentu a vytvoření stromové struktury

# Funkce main testuje počet vstupních parametrů
def main():
    args = sys.argv[1:]				

    if len(args) != 1:
        print('Chybí název ověřovaného souboru.')
        sys.exit(-1)

    # Volání "ověřovací" funkce
    run(args[0])	

main()
